$!------------------------------------------------------------------------------
$!  Compile and/or link JUMP under VAX or Alpha.
$!
$!  Optional P1 parameter value:
$!
$!	None	- if P1 is missing, compile and link with NO TRACEBACK.
$!	C	- if "C" is in P1, compile.
$!	L	- if "L" is in P1, link with NO TRACEBACK.
$!	T	- if "T" is in P1, link with TRACEBACK.
$!
$!  If P1 contains both "L" and "T", "T" is used.
$!..............................................................................
$!  Author: Jonathan Ridler,
$!	    Information Technology Services,
$!	    The University of Melbourne,
$!	    Parkville, Victoria, AUSTRALIA, 3052.
$!
$!	    Internet: jonathan@unimelb.edu.au
$!
$!..............................................................................
$!  JUMP has been successfully built and tested under OpenVMS VAX v5.5-2 and
$!  v6.2 with Pascal v5.4, and OpenVMS Alpha v6.2 with Pascal v5.5.
$!
$!  With new releases of OpenVMS, it may be necessary to re-link JUMP.
$!------------------------------------------------------------------------------
$
$ on ERROR  then  EXIT
$ say   := write SYS$OUTPUT
$ arch   = f$getsyi ("ARCH_NAME")			! "VAX" or "Alpha"
$ trace := /notraceback
$
$ p1    = f$edit (p1,"UPCASE,UNCOMMENT,COLLAPSE")
$ p1len = f$length (p1)
$ compile = (p1 .eqs. "") .or. (f$locate (p1,"C") .nes. p1len)
$ linking = (p1 .eqs. "") .or. (f$locate (p1,"L") .nes. p1len) .or. -
			       (f$locate (p1,"T") .nes. p1len)
$
$ if arch .eqs. "VAX"
$ then
$   usage_types = "all"
$ else
$   usage_types = "all,noperformance"
$ endif
$
$ if compile
$ then
$   say "Compiling JUMP source ..."
$   pascal jump /usage=('usage_types') /object=jump.obj_'arch'
$ endif
$
$ if compile .or. (f$search ("JUMP_CLD.OBJ") .eqs. "")
$ then
$   say "Compiling JUMP CLD ..."
$   set command /object jump_cld
$ endif
$
$ if linking
$ then
$   if (f$locate (p1,"T") .nes. p1len)  then  trace := /traceback
$   say "Linking JUMP ..."
$   if arch .eqs. "VAX"
$   then
$     link 'trace' jump.obj_vax,jump_cld.obj,jump.opt/option, -
		SYS$SYSTEM:SYS.STB/select,SYSDEF.STB/select
$   else
$     link /sysexe 'trace' jump.obj_alpha,jump_cld.obj,jump.opt/option, -
		SYS$LOADABLE_IMAGES:SYSDEF.STB/select
$   endif
$ endif
$
$ if linking
$ then
$   say "*** JUMP built successfully ***"
$   say "Don't forget to install the image with the correct privileges."
$ endif
$
$ EXIT 1
